<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.guosen.present.mapper.PresentMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="presentResultMap" type="org.springblade.modules.guosen.present.entity.Present">
        <result column="id" property="id"/>
        <result column="icon" property="icon"/>
        <result column="name" property="name"/>
        <result column="price" property="price"/>
        <result column="hot_value" property="hotValue"/>
        <result column="points_value" property="pointsValue"/>
        <result column="goods_id" property="goodsId"/>
    </resultMap>


    <select id="selectPresentPage" resultMap="presentResultMap">
        select * from cyzh_present where is_deleted = 0
    </select>

</mapper>
